body {
    font-family: Arial, sans-serif;
    background: #f9f9f9;
    margin: 0;
    padding: 0;
    color: #333;
}

.container {
    display: flex;
    width: 100%;
    flex-direction: row;
    height: 100vh;
}

h1 {
    font-size: 1.8em;
    margin-bottom: 20px;
    color: #004466;
}

.controls {
    display: flex;
    gap: 15px;
    align-items: center;
    margin-bottom: 15px;
    flex-wrap: wrap;
}

label {
    font-weight: bold;
    color:#043f57;
}

select {
    padding: 6px 10px;
    border-radius: 5px;
    border: 1px solid #ccc;
    font-size: 1em;
}

iframe {
    width: 100%;
    height: 100vh;
    background: #fff;
    border: none;
    display: none;
}

#menu-left {
    display: flex;
    width: 350px;
    position: relative;
    flex-direction: column;
    background: url('./images/bg.jpg');
    background-size: cover;
    background-repeat: no-repeat;
}

#menu-left .mask {
    background: #043f57;
    position: absolute;
    display: flex;
    width: 100%;
    height: 100%;
    opacity: 0.8;
    left: 0;
    top: 0;
    z-index: 0;
    -webkit-transition: all 0.6s ease-in;
    -moz-transition: all 0.6s ease-in;
    -ms-transition: all 0.6s ease-in;
    -o-transition: all 0.6s ease-in;
    transition: all 0.6s ease-in;
}

#menu-left.inactive .mask {
    background: #F4F4F4;
    opacity: 1;
}

.content-menu {
    z-index: 1;
    position: relative;
}

#menu-left .header {
    display: flex;
    flex-direction: row;
    background: #FFF;
}

#menu-left .logo {
    width: 30%;
    padding: 12px 0;
}

#menu-left .logo img {
    height: auto;
    width: 100%
}

#menu-left h1 {
    font-size: 22px;
    color: #043f57;
    width: 70%;
    padding-left: 15px;
    text-align: left;
}
#menu-left h1 span{
    color: #a9c702;
}
.controls {
    padding: 15px;
    background: #FFF;
    border-top: 1px solid #f4f4f4
}

#panel-right {
    display: flex;
    width: calc(100% - 350px);
}

#homepage {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;
    height: 100vh;
    text-align: center;
    background: url(./images/bg_intro.jpg);
    width: 100%;
    background-position: bottom center;
    background-repeat: no-repeat;
    background-size: cover;
}

#homepage h2 {
    font-size: 40px;
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 0;
    color: #FFF;
    max-width: 600px;
    margin: 0 auto;
    text-align: left;
}

#homepage div {
    background: #FFF;
    font-size: 20px;
    padding: 30px;
    max-width: 600px;
    margin: 0 auto;
    margin-top: -9px
}

@media screen and (max-width: 830px) {
    .container {
        flex-direction: column;
    }
    #menu-left {
        width: 100%;
        height: auto;
    }
    .content-menu{
        width: 100%;
        display:flex
    }
    #menu-left .header{
        width: 40%;
        display:flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        border-right:1px solid #F4F4F4
    }
    .content-menu{
        background:#FFF
    }
    #menu-left .logo{
        width:90%;
        padding:0
    }
    #menu-left h1{
        font-size: 16px;
        margin: 0;
        width: 100%;
    }
    #panel-right {
        width: 100%;
    }
    #panel-right,
    iframe {
        height: calc(100vh - 127px);
    }
    #homepage h2 {
        font-size: 28px;
        text-align: center;
    }
    #homepage div {
        font-size: 16px;
        padding: 20px;
        margin-top: 10px;
    }
    #homepage {
        width: 100%;
        height: calc(100vh - 167px);
    } 
    
}
@media screen and (max-width: 500px) {

    #panel-right,
   #panel-right iframe{
        width: 100%;
        height: calc(100vh - 127px);
    } 
    #homepage {
        width: 100%;
        height: calc(100vh - 167px);
    } 
    .controls{
        font-size:14px
    }
}
@media screen and (max-width: 430px) {
    #panel-right,
    #panel-right iframe,
    #homepage{
        width: 100%;
        height: calc(100vh - 156px);
    } 
    #homepage {
        width: 100%;
        height: calc(100vh - 196px);
    } 
}